%PR_DATASET Switch between dataset and prdataset

function varargout = pr_dataset(varargin)

varargout = cell(1,nargout);
name = varargin{1};
if ischar(name)
  if isempty(fileparts(name))
    % add dir of calling function if no dir is given
    dirr = fileparts(which(callername));
    name = fullfile(dirr,name);
    varargin{1} = name;
  end
end   
if floor(prversion) == 4
  [varargout{:}] = dataset(varargin{:});
else
  [varargout{:}] = prdataset(varargin{:});
end